Index: WAeUP_SRP/base/skins/waeup_default/waeup_document_create_do.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_default/waeup_document_create_do.py	(revision 3681)
+++ WAeUP_SRP/base/skins/waeup_default/waeup_document_create_do.py	(revision 3682)
@@ -11,5 +11,5 @@
 request = context.REQUEST
 
-if type_name in ("StudyLevel","StudentStudyLevel","WAeUPDocument"):
+if type_name in ("StudyLevel","StudentStudyLevel","WAeUPDocument","StudentPastoralReport"):
     id = datamodel.get('code')
 else:
Index: WAeUP_SRP/base/skins/waeup_default/waeup_edit_form.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_default/waeup_edit_form.pt	(revision 3681)
+++ WAeUP_SRP/base/skins/waeup_default/waeup_edit_form.pt	(revision 3682)
@@ -9,5 +9,6 @@
            is_allowed context/isSectionOfficer;
            metadata metadata|nothing;
-           template here/main_template/macros/master;"
+           template here/main_template/macros/master;
+           info here/getDocumentInfo;"
            >
   <metal:block define-macro="edit_form">
@@ -78,5 +79,5 @@
       <tal:block condition="not: metadata"
         i18n:translate="">Edit <span id="page_title" i18n:name="title"
-        tal:content="here/title_or_id">Page Title</span>
+        tal:content="info/title">Page Title</span>
       </tal:block>
       <tal:block tal:condition="metadata"
Index: WAeUP_SRP/base/skins/waeup_student/academic_report_view.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/academic_report_view.pt	(revision 3681)
+++ WAeUP_SRP/base/skins/waeup_student/academic_report_view.pt	(revision 3682)
@@ -42,6 +42,4 @@
     </div>    
     </span>
-
-
           
     <a href=""
@@ -61,5 +59,16 @@
     
         <br />
+           
         <table>
+           <tr>
+            <th valign='top'>Pastoral Reports:</th> 
+            <td>
+              <span tal:repeat="item python:info['items']">
+                <a href="view" 
+                   tal:attributes="href item/id"
+                   tal:content="item/title"/><br />
+              </span>
+            </td>
+          </tr>
           <tr>
             <th>Session:</th> 
@@ -99,5 +108,4 @@
         </tr>                
         <tr tal:repeat="row python:info[sem[2]]"
-            
             tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
           <td align="left" valign="middle" style="width: 5%;"
Index: WAeUP_SRP/base/skins/waeup_student/getPastoralReportInfo.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/getPastoralReportInfo.py	(revision 3682)
+++ WAeUP_SRP/base/skins/waeup_student/getPastoralReportInfo.py	(revision 3682)
@@ -0,0 +1,46 @@
+## Script (Python) "getPastoralReportInfo"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=student=None
+##title=
+##
+# $Id: getPastoralReportInfo.py 2760 2007-11-26 07:39:15Z henrik $
+"""
+return Info about the Studylevel
+try:
+    from Products.zdb import set_trace
+except:
+    def set_trace():
+        pass
+"""
+
+info = context.waeup_tool.getAccessInfo(context)
+student_id = info['student_id']
+if student_id is None:
+    return None
+
+mtool = context.portal_membership
+member = mtool.getAuthenticatedMember()
+member_id = str(member)
+
+course_results = context.course_results
+request = context.REQUEST
+response = request.RESPONSE
+import logging
+logger = logging.getLogger('Skins.getPastoralReportInfo')
+
+level_doc = info['level_doc'] = context.aq_parent.getContent()
+doc = info['doc'] = context.getContent()
+info['session'] = context.portal_vocabularies.sessions.get(level_doc.session)
+info['level'] = context.portal_vocabularies.student_levels.get(context.aq_parent.getId())
+info['term'] = context.portal_vocabularies.terms.get(context.getId())
+info['is_so'] = is_so = info['is_sectionofficer']
+#info['is_student'] = is_student = context.isStudent()
+#info['is_ca'] = is_ca = context.isCourseAdviser()
+#info['student'] = student = context.students_catalog(id=student_id)[0]
+#info['student'] = student = context.students_catalog.getRecordByKey(student_id)
+
+return info
Index: WAeUP_SRP/base/skins/waeup_student/getStudentObjectTitles.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/getStudentObjectTitles.py	(revision 3681)
+++ WAeUP_SRP/base/skins/waeup_student/getStudentObjectTitles.py	(revision 3682)
@@ -19,3 +19,4 @@
               'StudentStudyCourse': 'Study Course',
               'PaymentsFolder': 'Payments',
+              'StudentPastoralReport': 'Pastoral Report',
               }
Index: WAeUP_SRP/base/skins/waeup_student/pastoral_report_view.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/pastoral_report_view.pt	(revision 3682)
+++ WAeUP_SRP/base/skins/waeup_student/pastoral_report_view.pt	(revision 3682)
@@ -0,0 +1,58 @@
+<metal:body use-macro="here/main_template/macros/master">
+  <metal:main fill-slot="main"
+              tal:define="info context/getPastoralReportInfo;
+              s_name context/getStudentNameInContext;
+              ">
+    <span tal:condition="not: info">
+      <span tal:content="here/illegal_view" />
+    </span>
+    <span tal:condition="info" tal:omit-tag="">
+      <span tal:condition="not:info/is_anonymous" tal:omit-tag="">
+        <span tal:define="breadcrumbs context/getBreadCrumbs|nothing">
+          <a tal:condition="not: breadcrumbs" href="" 
+             tal:attributes="href string:${here/aq_parent/absolute_url}">
+            <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
+            Up one level
+          </a>
+          <div tal:condition="breadcrumbs">
+            <span tal:repeat="crumb breadcrumbs"><a href="crumb" 
+                                                    tal:attributes="href crumb/url"
+                                                    tal:content="crumb/title"></a> 
+              <span tal:condition="not: repeat/crumb/end">&gt;</span>
+            </span>
+          </div>
+        </span>      
+      </span>      
+      <h3 tal:define="is_so info/is_sectionofficer;"> 
+        <span tal:condition="python:is_so and s_name">
+          <span tal:content="s_name" />:
+        </span>
+        Pastoral Report
+      </h3>
+      <br />
+      
+          
+      <table>
+        <tr>
+          <th>Session:</th> 
+          <td><span tal:content="info/session" /></td>
+        </tr>
+        <tr>
+          <th>Year:</th> 
+          <td><span tal:content="info/level" /></td>
+        </tr>      
+        <tr>
+          <th>Term:</th> 
+          <td><span tal:content="info/term" /></td>
+        </tr>          
+      </table>           
+      
+      <br />
+      
+      <span tal:omit-tag=""  
+            tal:content="structure python: info['doc'].render(layout_mode='view')" />
+    </span>      
+  </metal:main> 
+  <metal:sub fill-slot="sub"/>
+</metal:body>
+
Index: WAeUP_SRP/base/skins/waeup_student/student_index.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/student_index.py	(revision 3681)
+++ 	(revision )
@@ -1,54 +1,0 @@
-## Script (Python) "student_index"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=batch=None,portal_status_message=None
-##title=
-##
-# $Id$
-"""
-return the current student_index
-"""
-
-request = context.REQUEST
-#session = request.SESSION
-response = request.RESPONSE
-redirect = response.redirect
-pm = context.portal_membership
-member = pm.getAuthenticatedMember()
-
-#from Products.zdb import set_trace;set_trace()
-if context.isStaff():
-    if context.portal_type == 'StudentStudyCourse':
-        return context.study_course_view()
-    elif context.portal_type == 'StudentStudyLevel':
-        return context.study_level_view()
-    elif context.portal_type == 'StudentClearance':
-        return context.clearance_view()
-    elif context.portal_type == 'PaymentsFolder':
-        return context.payments_view()
-    elif context.portal_type == 'Student':
-        if portal_status_message:
-            return redirect("%s/student_view?portal_status_message=%s" % (context.absolute_url(),portal_status_message))
-        else:
-            return redirect("%s/student_view" % context.absolute_url())
-    elif context.portal_type == 'Payment':
-        return context.payment_receipt()
-    return redirect("%s/waeup_document_view" % context.absolute_url())
-if context.isStudent():
-    if context.portal_type == 'PaymentsFolder':
-        return context.payments_view()
-    elif context.portal_type == 'Payment':
-        return context.payment_receipt()
-    elif context.portal_type == 'StudentStudyLevel':
-        return context.study_level_view()
-    elif context.portal_type == 'StudentStudyCourse':
-        return context.study_course_view()
-    students_url = "%s/campus/students" % (context.portal_url())
-    id = str(member)
-    return redirect("%s/%s/student_view" % (students_url, id))
-
-return redirect("%s/srp_anonymous_view" % context.portal_url())
-
